%define momorel 9
Summary: The uucp utility for copying files between systems.
Name: uucp
Version: 1.06.2
Release: %{momorel}m
License: GPL
Group: Applications/Communications
Source0: ftp://ftp.gnu.org/gnu/uucp/%{name}-%{version}.tar.gz
NoSource: 0
Source1: uucp.log
Source2: uucp
Patch0: uucp-1.06.1-misc.patch
Patch1: uucp-1.06.1-uureroute.patch
Patch2: uucp-perl.patch
Patch3: uucp-1.06.1-sigfpe.patch
Patch4: uucp-1.06.1-panpi.patch
Patch5: uucp-1.06.1-rpm305.patch
Patch6: uucp.fhs.patch
Prereq: fileutils, info
BuildPreReq: autoconf >= 2.52-8k
BuildPrereq: tetex
URL: http://www.airs.com/ian/uucp.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The uucp command copies files between systems.  Uucp is primarily used
by remote machines downloading and uploading email and news files to
local machines.

Install the uucp package if you need to use uucp to transfer files
between machines.

%prep
%setup -q -n uucp-1.06.1
%patch -p1 -b .config
%patch1 -p1 -b .perlpath
%patch3 -p0
%patch4 -p1 -b .panpi
%patch5 -p1 -b .rpm305
%patch6 -p1

find . -name "*.perlpath" -exec rm {} \;
autoconf-old

%build
#CFLAGS="%{optflags}" LDFLAGS=-s ./configure --prefix=%{_prefix}

%configure
make \
    owner=$(id -un) \
    newconfigdir=%{_sysconfdir}/uucp \
    oldconfigdir=%{_sysconfdir}/uucp/oldconfig \
    man1dir=%{_mandir}/man1 \
    man8dir=%{_mandir}/man1 \
	all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man8
DESTDIR=%{buildroot} make install install-info

# gzip -9nf %{buildroot}%{_infodir}/uucp*
mkdir -p %{buildroot}/var/spool/uucp
mkdir -p %{buildroot}/var/spool/uucppublic
#chown uucp:uucp %{buildroot}/var/spool/uucp
#chown uucp:uucp %{buildroot}/var/spool/uucppublic
mkdir -p %{buildroot}/etc/uucp/oldconfig

rm -rf %{buildroot}/var/log/uucp
mkdir -p %{buildroot}/var/log/uucp
#chown uucp.uucp %{buildroot}/var/log/uucp
strip %{buildroot}/%{_sbindir}/* || :
strip %{buildroot}/%{_bindir}/* || :

mkdir -p %{buildroot}/usr/lib/uucp
ln -sf ../../sbin/uucico %{buildroot}/%{_libdir}/uucp/uucico

mkdir -p %{buildroot}/etc/logrotate.d
#install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/uucp.log %{buildroot}/etc/logrotate.d/uucp
install -m 644 $RPM_SOURCE_DIR/uucp.log %{buildroot}/etc/logrotate.d/uucp

# Create ghost files
for n in Log Stats Debug; do
	touch %{buildroot}/var/log/uucp/$n
done

#chown uucp.uucp %{buildroot}/var/log/uucp/{Log,Stats,Debug}
chmod 644 %{buildroot}/var/log/uucp/{Log,Stats}
chmod 600 %{buildroot}/var/log/uucp/Debug

# the following is kind of gross, but it is effective
for i in dial passwd port dialcode sys call ; do
cat > %{buildroot}/etc/uucp/$i <<EOF 
# This is an example of a $i file. This file have the syntax compatible
# with Taylor UUCP (not HDB, not anything else). Please check uucp
# documentation if you are not sure how Taylor config files are supposed to 
# look like. Edit it as appropriate for your system.

# Everything after a '#' character is a comment.
EOF
done
# these files contain passwords
for i in call passwd ; do
	chmod 0640      %{buildroot}/etc/uucp/$i
#	chown root:uucp %{buildroot}/etc/uucp/$i
done

# some more documentation
texi2html -monolithic uucp.texi

mkdir -p %{buildroot}/etc/xinetd.d
install -m 644 %{SOURCE2} %{buildroot}/etc/xinetd.d

chmod -x contrib/*

%clean
rm -rf %{buildroot}

%post
# Create initial log files so that logrotate doesn't complain
for n in Log Stats Debug; do
	[ -f /var/log/uucp/$n ] || touch /var/log/uucp/$n
	chown uucp:uucp /var/log/uucp/$n
done
chmod 644 /var/log/uucp/Log /var/log/uucp/Stats
chmod 600 /var/log/uucp/Debug

/sbin/install-info %{_infodir}/uucp.info %{_infodir}/dir

%preun
/sbin/install-info --del %{_infodir}/uucp.info %{_infodir}/dir

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog MANIFEST NEWS
%doc sample contrib uucp.html
%attr(-,uucp,root) %dir /var/spool/uucp
%attr(-,uucp,root) %dir /var/spool/uucppublic
%attr(770,uucp,uucp) %dir /etc/uucp
%attr(770,uucp,uucp) %dir /etc/uucp/oldconfig
%{_infodir}/uucp.info*
%attr(6555,uucp,uucp) %{_sbindir}/uucico
%attr(6555,uucp,uucp) %{_sbindir}/uuxqt
%attr(6555,uucp,uucp) %{_sbindir}/uusched
%attr(-,uucp,uucp) %{_sbindir}/uuchk
%attr(-,uucp,uucp) %{_sbindir}/uuconv
%attr(6555,uucp,uucp) %{_bindir}/*
%{_mandir}/man?/*
%dir %{_libdir}/uucp
%{_libdir}/uucp/uucico
%attr(-,uucp,uucp) %dir /var/log/uucp
%config /etc/logrotate.d/uucp
%attr(644,uucp,uucp) %ghost /var/log/uucp/Log
%attr(644,uucp,uucp) %ghost /var/log/uucp/Stats
%attr(600,uucp,uucp) %ghost /var/log/uucp/Debug

%config /etc/uucp/dial
%config /etc/uucp/dialcode
%config /etc/uucp/port
%config /etc/uucp/passwd
%config /etc/uucp/sys
%config /etc/uucp/call
%config(missingok,noreplace) /etc/xinetd.d/uucp

%changelog
* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.06.2-9m)
- revised spec for rpm 4.2.

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.06.2-8m)
- revise %%post and %%preun

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.06.2-7m)
- add URL

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.06.2-6k)
- Prereq: /sbin/install-info -> info

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.06.2-4k)
- add BuildPreReq: autoconf >= 2.52-8k

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.06.2-2k)
- update to 1.06.2

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (1.06.1-46k)
- autoconf 1.5

* Sat Dec  1 2001 Toru Hoshina <t@kondara.org>
- (1.06.1-44k)
- No docs could be excutable :-p

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.06.1-42k)
- nigittenu

* Mon Sep 24 2001 Toru Hoshina <t@konddara.org>
- (1.06.1-40k)
- the confdir should be /etc/uucp.
- the log files should be owned by uucp.

* Wed Apr 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- fix oldconfigdir and newconfigdir

* Sun Jan 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.06.1-35k)
- added uucp for xinetd

* Fri Jan 12 2001 Kenichi Matsubara <m@kondara.org>
- (1.06.1-33k)
- BuildPreReq tag texi2html to tetex.

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.06.1-31k)
- modified uucp.fhs.patch and spec file for compatibility

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.06.1-23).
- add -q at %setup.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- update man-pages-ja-GNU_uucp-20000115

* Sun Feb 13 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change perms to be root:root for the config files and
  0640,root:uucp for config files containing passwords
- add patch from #6151 (division by zero, SIGFPE)
- make %post work also for simple sh-versions

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 08 2000 Shingo Akagaki <dora@kondara.org>
- add panpi.patch
- add %defattr 

* Thu Nov 25 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-GNU_uucp-19991115

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- add notifempty/missingok to logrotate config file (#4138).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- expunge /usr/local/bin/perl reference in docs

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added sample config files in /etc/uucp

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- added install-info support
- uses a build root

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- patched uureroute to find perl in /usr/bin instead of /usr/local/bin
- made log files ghosts

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Brian Candler fixed /usr/lib/uucp/uucico symlink
- Added "create" entries to log file rotation configuration
- Touch log files on install if they don't already exist to allow proper
  rotation

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- symlinked /usr/sbin/uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

